## NMDeviceVxlan NMDeviceVxlan |

## Functions

4 | NM_DEPRECATED_IN_1_24_FOR ()
gboolean | nm_device_vxlan_get_carrier ()
NMDevice * | nm_device_vxlan_get_parent ()
guint | nm_device_vxlan_get_id ()
const char * | nm_device_vxlan_get_group ()
const char * | nm_device_vxlan_get_local ()
guint | nm_device_vxlan_get_src_port_min ()
guint | nm_device_vxlan_get_src_port_max ()
guint | nm_device_vxlan_get_dst_port ()
gboolean | nm_device_vxlan_get_learning ()
guint | nm_device_vxlan_get_ageing ()
guint | nm_device_vxlan_get_tos ()
guint | nm_device_vxlan_get_ttl ()
guint | nm_device_vxlan_get_limit ()
gboolean | nm_device_vxlan_get_proxy ()
gboolean | nm_device_vxlan_get_rsc ()
gboolean | nm_device_vxlan_get_l2miss ()
gboolean | nm_device_vxlan_get_l3miss ()

## Types and Values

#define | NM_DEVICE_VXLAN_HW_ADDRESS
#define | NM_DEVICE_VXLAN_CARRIER
#define | NM_DEVICE_VXLAN_PARENT
#define | NM_DEVICE_VXLAN_ID
#define | NM_DEVICE_VXLAN_GROUP
#define | NM_DEVICE_VXLAN_LOCAL
#define | NM_DEVICE_VXLAN_SRC_PORT_MIN
#define | NM_DEVICE_VXLAN_SRC_PORT_MAX
#define | NM_DEVICE_VXLAN_LEARNING
#define | NM_DEVICE_VXLAN_AGEING
#define | NM_DEVICE_VXLAN_TOS
#define | NM_DEVICE_VXLAN_TTL
#define | NM_DEVICE_VXLAN_LIMIT
#define | NM_DEVICE_VXLAN_PROXY
#define | NM_DEVICE_VXLAN_RSC
#define | NM_DEVICE_VXLAN_L2MISS
#define | NM_DEVICE_VXLAN_L3MISS
#define | NM_DEVICE_VXLAN_DST_PORT

## Description

## Functions

### NM_DEPRECATED_IN_1_24_FOR ()

    4
    NM_DEPRECATED_IN_1_24_FOR ();

`NM_DEPRECATED_IN_1_24_FOR` is deprecated and should not be used in newly-written code.

### nm_device_vxlan_get_carrier ()

    gboolean
    nm_device_vxlan_get_carrier (NMDeviceVxlan *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceVxlan |

#### Returns

`TRUE` if the device has carrier.

Since: 1.2

### nm_device_vxlan_get_parent ()

    NMDevice *
    nm_device_vxlan_get_parent (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the device's parent device.

[transfer none]

Since: 1.2

### nm_device_vxlan_get_id ()

    guint
    nm_device_vxlan_get_id (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the device's VXLAN ID.

Since: 1.2

### nm_device_vxlan_get_group ()

    const char *
    nm_device_vxlan_get_group (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

The unicast destination IP address or the multicast IP address joined

Since: 1.2

### nm_device_vxlan_get_local ()

    const char *
    nm_device_vxlan_get_local (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the source IP address to use in outgoing packets

Since: 1.2

### nm_device_vxlan_get_src_port_min ()

    guint
    nm_device_vxlan_get_src_port_min (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the minimum UDP source port

Since: 1.2

### nm_device_vxlan_get_src_port_max ()

    guint
    nm_device_vxlan_get_src_port_max (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the maximum UDP source port

Since: 1.2

### nm_device_vxlan_get_dst_port ()

    guint
    nm_device_vxlan_get_dst_port (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the UDP destination port

Since: 1.2

### nm_device_vxlan_get_learning ()

    gboolean
    nm_device_vxlan_get_learning (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether address learning is enabled

Since: 1.2

### nm_device_vxlan_get_ageing ()

    guint
    nm_device_vxlan_get_ageing (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the lifetime in seconds of FDB entries learnt by the kernel

Since: 1.2

### nm_device_vxlan_get_tos ()

    guint
    nm_device_vxlan_get_tos (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the TOS value to use in outgoing packets

Since: 1.2

### nm_device_vxlan_get_ttl ()

    guint
    nm_device_vxlan_get_ttl (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the time-to-live value to use in outgoing packets

Since: 1.2

### nm_device_vxlan_get_limit ()

    guint
    nm_device_vxlan_get_limit (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the maximum number of entries that can be added to the forwarding table

Since: 1.2

### nm_device_vxlan_get_proxy ()

    gboolean
    nm_device_vxlan_get_proxy (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether ARP proxy is turned on

Since: 1.2

### nm_device_vxlan_get_rsc ()

    gboolean
    nm_device_vxlan_get_rsc (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether route short circuit is turned on

Since: 1.2

### nm_device_vxlan_get_l2miss ()

    gboolean
    nm_device_vxlan_get_l2miss (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether netlink LL ADDR miss notifications are generated

Since: 1.2

### nm_device_vxlan_get_l3miss ()

    gboolean
    nm_device_vxlan_get_l3miss (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether netlink IP ADDR miss notifications are generated

Since: 1.2

## Types and Values

### NM_DEVICE_VXLAN_HW_ADDRESS

    #define NM_DEVICE_VXLAN_HW_ADDRESS   "hw-address"

### NM_DEVICE_VXLAN_CARRIER

    #define NM_DEVICE_VXLAN_CARRIER      "carrier"

### NM_DEVICE_VXLAN_PARENT

    #define NM_DEVICE_VXLAN_PARENT       "parent"

### NM_DEVICE_VXLAN_ID

    #define NM_DEVICE_VXLAN_ID           "id"

### NM_DEVICE_VXLAN_GROUP

    #define NM_DEVICE_VXLAN_GROUP        "group"

### NM_DEVICE_VXLAN_LOCAL

    #define NM_DEVICE_VXLAN_LOCAL        "local"

### NM_DEVICE_VXLAN_SRC_PORT_MIN

    #define NM_DEVICE_VXLAN_SRC_PORT_MIN "src-port-min"

### NM_DEVICE_VXLAN_SRC_PORT_MAX

    #define NM_DEVICE_VXLAN_SRC_PORT_MAX "src-port-max"

### NM_DEVICE_VXLAN_LEARNING

    #define NM_DEVICE_VXLAN_LEARNING     "learning"

### NM_DEVICE_VXLAN_AGEING

    #define NM_DEVICE_VXLAN_AGEING       "ageing"

### NM_DEVICE_VXLAN_TOS

    #define NM_DEVICE_VXLAN_TOS          "tos"

### NM_DEVICE_VXLAN_TTL

    #define NM_DEVICE_VXLAN_TTL          "ttl"

### NM_DEVICE_VXLAN_LIMIT

    #define NM_DEVICE_VXLAN_LIMIT        "limit"

### NM_DEVICE_VXLAN_PROXY

    #define NM_DEVICE_VXLAN_PROXY        "proxy"

### NM_DEVICE_VXLAN_RSC

    #define NM_DEVICE_VXLAN_RSC          "rsc"

### NM_DEVICE_VXLAN_L2MISS

    #define NM_DEVICE_VXLAN_L2MISS       "l2miss"

### NM_DEVICE_VXLAN_L3MISS

    #define NM_DEVICE_VXLAN_L3MISS       "l3miss"

### NM_DEVICE_VXLAN_DST_PORT

    #define NM_DEVICE_VXLAN_DST_PORT     "dst-port"